TABLE(1)

NAME
Table - read and write ASCII and FITS tables

SYNOPSIS
asttable [OPTION...] ASTRdata

DESCRIPTION
Table is part of GNU Astronomy Utilities 0.23. Table can be used to view the information, select columns, or convert tables. The inputs and outputs can be plain text (with white-space or comma as delimiters), FITS ascii, or FITS binary tables. The output columns can either be selected by number (counting from 1), name or using regular expressions. For regular expressions, enclose the value to the '--column' ('-c') option in slashes ('\', as in '-c\^mag\'). To print the selected columns on the command-line, don't specify an output file.

For more information, please run any of the following commands. In particular the second contains a very comprehensive explanation of Table's invocation: expected input(s), output(s), and a full description of all the options.

All options and their values:
    $ asttable -P

Inputs/Outputs and options:
    $ info asttable

Full section in manual/book:
    $ info Table

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

Table options:

    Input:

-b, --noblank=STR[,STR]
    Remove rows with blank in given columns.

-c, --column=STR
    Column number (counting from 1) or search string.

-C, --catcolumns=STR
    Columns to use in --catcolumnfile.

-E, --noblankend=STR[,STR] Sim. to --noblank, at end (e.g., after arith.).

-h, --hdu=STR/INT
    Extension name or number of input data.

--inpolygon=STR,STR
    Coord. columns that are inside '--polygon'.

-I, --ignorecase
    Ignore case in matching/searching columns.

-L, --catcolumnfile=FITS/TXT
    File(s) to be concatenated by column.

--outpolygon=STR,STR
    Coord. columns that are outside '--polygon'.

-R, --catrowfile=FITS/TXT
    File(s) to be concatenated by row.

--searchin=STR
    Select column(s): 'name', 'unit', 'comment'.

--stdintimeout=INT
    Micro-seconds to wait for standard input.

-u, --catcolumnhdu=STR/INT HDU/Extension(s) in catcolumnfile.

-w, --wcsfile=FITS
    File with WCS if conversion is requested.

-W, --wcshdu=STR
    HDU in file with WCS for conversion.

-X, --catrowhdu=STR/INT
    HDU/Extension(s) in --catrowfile.

    Output:

-A, --txtf64format=STR
    Text output float64 format: 'fixed' or 'exp'.

-B, --txtf64precision=INT
    Text output float64 precision.

-D, --dontdelete
    Don't delete output if it exists.

-f, --txtf32format=STR
    Text output float32 format: 'fixed' or 'exp'.

--info-num-cols
    Only print input table's number of columns.

--info-num-rows
    Only print input table's number of rows.

-i, --information
    Only print input table's information.

-K, --keepinputdir
    Keep input directory for automatic output.

--outfitsnocommit
    No Git commit in 0-th HDU of output FITS.

--outfitsnoconfig
    No metadata in 0-th HDU of output FITS.

--outfitsnodate
    No 'DATE' in 0-th HDU of output FITS.

--outfitsnoversions
    No versions in 0-th HDU of output FITS.

-o, --output=STR
    Output file name.

-O, --colinfoinstdout
    Column info/metadata when printing to stdout.

-p, --txtf32precision=INT
    Text output float32 precision.

--tableformat=STR
    Table fmt: 'fits-ascii', 'fits-binary', 'txt'.

--wcslinearmatrix=STR
    WCS linear matrix of output ('pc' or 'cd').

-Y, --txteasy
    Short for '-Afixed -B6 -ffixed -p3'.

    Precedence (default: column operations first)

--rowfirst
    Apply row-based operations first.

    Columns in output:

--catcolumnrawname
    Don't touch column names of --catcolumnfile.

--fromvector=STR,INT[,INT]
    Extract column(s) from a vector column.

-k, --keepvectfin
    Keep inputs of '--tovector' & '--fromvector'.

-m, --colmetadata=ID,S,S,S Column metadata (S=STR: Name, Unit, Comments).

--tovector=STR,STR[,STR]
    Merge column(s) into a vector column.

--transpose
    Transpose table (must only contain vector cols).

    Rows in output:

-d, --descending
    Sort in descending order: largets first.

--envseed
    Use GSL_RNG_SEED env. for '--rowrandom'.

-e, --equal=STR,FLT[,...]
    Column, values to keep in output.

-H, --head=INT
    Only return given number of top rows.

-n, --notequal=STR,FLT[,...]
    Column, values to remove from output.

--polygon=FLT,FLT[:...]
    Polygon vertices, also a DS9 region file.

--rowrandom=INT
    Number of rows to select randomly.

--rowrange=INT,INT
    Only rows in this row-counter range.

-r, --range=STR,FLT:FLT
    Column, and range to limit output.

-s, --sort=STR/INT
    Column name or number for sorting.

-t, --tail=INT
    Only return given number of bottom rows.

    Operating modes:

-?, --help
    give this help list

--checkconfig
    List all config files and variables read.

--cite
    BibTeX citation for this program.

--config=STR
    Read configuration file STR immediately.

--config-prefix=STR
    Custom prefix of option names config files.

--lastconfig
    Do not parse any more configuration files.

--log
    Information about output(s) in a log file.

--minmapsize=INT
    Min. bytes to avoid RAM automatically.

-N, --numthreads=INT
    Number of CPU threads to use.

--onlyversion=STR
    Only run if the program version is STR.

-P, --printparams
    Print parameter values to be used and abort.

--quietmmap
    Don't print mmap'd file's name and size.

-q, --quiet
    Only report errors, remain quiet about steps.

-S, --setdirconf
    Set default values for this directory and abort.

--usage
    give a short usage message

-U, --setusrconf
    Set default values for this user and abort.

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2015-2024 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Mohammad Akhlaghi

SEE ALSO
The full documentation for Table is maintained as a Texinfo manual. If the info and Table programs are properly installed at your site, the command

    info Table

should give you access to the complete manual.